#!/bin/python
# Simple script for shutting down the raspberry Pi at the press of a button.
# by Inderpreet 
# Sightly modified by Axel Brinkeby
# 2018-01-14

import RPi.GPIO as GPIO
import time
import os

# Use the Broadcom SOC Pin numbers
# Setup the Pin with Internal pullups enabled and PIN in reading mode.
GPIO.setmode(GPIO.BCM)
GPIO.setup(21, GPIO.IN, pull_up_down = GPIO.PUD_UP)

# Our function on what to do when the button is pressed
def Shutdown(channel):
    print "Shuting down now!"
    os.system("sudo shutdown -h now")

# Add our function to execute when the button pressed event happens
GPIO.add_event_detect(21, GPIO.FALLING, callback = Shutdown, bouncetime = 2000)

# Now wait!
print "Shutdown script started, waiting for shutdown button to be pressed..."
while 1:
    time.sleep(1)


